---
name: i.image.mosaic.py
description: Mosaics several images and extends colormap.
keywords: [ imagery, geometry, mosaicking ]
---

# i.image.mosaic.py

## NAME

***i.image.mosaic.py*** - Mosaics several images and extends colormap.

### 
### SYNOPSIS

**i.image.mosaic.py**  
**i.image.mosaic.py --help**  
**i.image.mosaic.py**  **input**=*name* [,*name*,...]
 **output**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* [,*name*,...] **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input raster map(s)  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output raster map

## DESCRIPTION

*i.image.mosaic* mosaics several images or raster maps using the GRASS
GIS map calculator, and extends the colormap to the range of all images.

## SEE ALSO

*[r.patch](r.patch.md), [r.mapcalc](r.mapcalc.md)*

## AUTHORS

Markus Neteler, ITC-Irst, Trento, Italy Updated to GRASS 5.7 by Michael
Barton, Arizona State University

## SOURCE CODE

Available at: [i.image.mosaic source code](https://github.com/OSGeo/grass/tree/main/scripts/i.image.mosaic)
([history](https://github.com/OSGeo/grass/commits/main/scripts/i.image.mosaic))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
