---
name: r.support.stats
description: Update raster map statistics
keywords: [ raster, statistics ]
---

# r.support.stats

## NAME

***r.support.stats*** - Update raster map statistics

### 
### SYNOPSIS

**r.support.stats**  
**r.support.stats --help**  
**r.support.stats**  **map**=*name*
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**map**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of raster map

## DESCRIPTION

**r.support.stats** allows the user to update raster map statistics
information.

## NOTES

None

## SEE ALSO

[r.support](r.support.md), [r.report](r.report.md)

## AUTHORS

Micharl Shapiro, CERL: Original author  
[Brad Douglas](MAILTO:rez@touchofmadness.com): GRASS 6 Port

## SOURCE CODE

Available at: [r.support.stats source code](https://github.com/OSGeo/grass/tree/main/raster/r.support.stats)
([history](https://github.com/OSGeo/grass/commits/main/raster/r.support.stats))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
