---
name: d.colorlist
description: Outputs a list of all available display colors.
keywords: [ display, settings, colors ]
---

# d.colorlist

## NAME

***d.colorlist*** - Outputs a list of all available display colors.

### 
### SYNOPSIS

**d.colorlist**  
**d.colorlist --help**  
**d.colorlist**  [**separator**=*character*]
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**separator**=*character*  
&nbsp;&nbsp;&nbsp;&nbsp;Field separator  
&nbsp;&nbsp;&nbsp;&nbsp;Special characters: pipe, comma, space, tab, newline  
&nbsp;&nbsp;&nbsp;&nbsp;Default: *comma*

## DESCRIPTION

*d.colorlist* report the available color names. The list contains all
available display colors with a configurable separator (default is
comma).

## SEE ALSO

*[r.colors](r.colors.md)*

## AUTHOR

Andreas Lange

## SOURCE CODE

Available at: [d.colorlist source code](https://github.com/OSGeo/grass/tree/main/display/d.colorlist)
([history](https://github.com/OSGeo/grass/commits/main/display/d.colorlist))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
