---
name: d.fontlist
description: Lists the available fonts.
keywords: [ display, settings ]
---

# d.fontlist

## NAME

***d.fontlist*** - Lists the available fonts.

### 
### SYNOPSIS

**d.fontlist**  
**d.fontlist --help**  
**d.fontlist** [**-lv**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-l**  
&nbsp;&nbsp;&nbsp;&nbsp;List fonts (default; provided for compatibility with d.font)  
**-v**  
&nbsp;&nbsp;&nbsp;&nbsp;List fonts verbosely  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

## DESCRIPTION

*d.fontlist* outputs a list of available fonts for use with GRASS
display commands.

## SEE ALSO

*[d.text](d.text.md)*

## AUTHOR

Glynn Clements

## SOURCE CODE

Available at: [d.fontlist source code](https://github.com/OSGeo/grass/tree/main/display/d.fontlist)
([history](https://github.com/OSGeo/grass/commits/main/display/d.fontlist))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
