---
name: d.redraw
description: Redraws the content of currently selected monitor.
keywords: [ display, graphics, monitors ]
---

# d.redraw

## NAME

***d.redraw*** - Redraws the content of currently selected monitor.

### 
### SYNOPSIS

**d.redraw**  
**d.redraw --help**  
**d.redraw**  [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

## DESCRIPTION

*d.redraw* redraws the content of the currently selected monitor. The
active monitor can be selected with *d.mon*.

## SEE ALSO

*[d.erase](d.erase.md), [d.rast](d.rast.md), [d.vect](d.vect.md),
[d.mon](d.mon.md)*

## AUTHOR

Huidae Cho, New Mexico State University  
Based on the *d.redraw* script by Martin Landa, Czech Republic

## SOURCE CODE

Available at: [d.redraw source code](https://github.com/OSGeo/grass/tree/main/display/d.redraw)
([history](https://github.com/OSGeo/grass/commits/main/display/d.redraw))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
