---
name: g.ppmtopng
description: Converts between PPM/PGM and PNG image formats.
keywords: [ general, display ]
---

# g.ppmtopng

## NAME

***g.ppmtopng*** - Converts between PPM/PGM and PNG image formats.

### 
### SYNOPSIS

**g.ppmtopng**  
**g.ppmtopng --help**  
**g.ppmtopng**  **input**=*name*
 **output**=*name*
 [**--overwrite**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**--overwrite**  
&nbsp;&nbsp;&nbsp;&nbsp;Allow output files to overwrite existing files  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**input**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input file  
**output**=*name* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Name for output file

## DESCRIPTION

*g.ppmtopng* isn't meant for end users. It's a utility to convert
between PPM/PGM and PNG image formats.

## AUTHOR

Glynn Clements

## SOURCE CODE

Available at: [g.ppmtopng source code](https://github.com/OSGeo/grass/tree/main/general/g.ppmtopng)
([history](https://github.com/OSGeo/grass/commits/main/general/g.ppmtopng))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
