---
name: test.gjson.lib
description: Performs unit tests for the gjson library
keywords: [ general, json, unit test ]
---

# test.gjson.lib

## NAME

***test.gjson.lib*** - Performs unit tests for the gjson library

### 
### SYNOPSIS

**test.gjson.lib**  
**test.gjson.lib --help**  
**test.gjson.lib** [**-u**]  [**--verbose**]  [**--quiet**]  [**--ui**]

#### Flags

**-u**  
&nbsp;&nbsp;&nbsp;&nbsp;Run all unit tests  
**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

## DESCRIPTION

*test.gjson.lib* is a module dedicated for testing the gjson library.
This module is used by the testing framework to perform library tests.

## AUTHOR

Nishant Bansal

## SOURCE CODE

Available at: [test.gjson.lib source code](https://github.com/OSGeo/grass/tree/main/lib/external/parson/test)
([history](https://github.com/OSGeo/grass/commits/main/lib/external/parson/test))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
