---
name: test.r3flow
description: Testing flow lines.
keywords: [ raster3d, unit test ]
---

# test.r3flow

## NAME

***test.r3flow*** - Testing flow lines.

### 
### SYNOPSIS

**test.r3flow**  
**test.r3flow --help**  
**test.r3flow**  **test**=*string*
 [**coordinates**=*float* [,*float*,...]]
 [**input**=*name* [,*name*,...]]
 [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

#### Parameters

**test**=*string* **[required]**  
&nbsp;&nbsp;&nbsp;&nbsp;Select what is tested  
&nbsp;&nbsp;&nbsp;&nbsp;Options: *interpolation, gradient*  
**coordinates**=*float* [,*float*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;x,y,z coordinates  
**input**=*name* [,*name*,...]  
&nbsp;&nbsp;&nbsp;&nbsp;Name of input 3D raster map(s)

## DESCRIPTION

Testing module for *r3.flow*.

## SEE ALSO

*[r3.flow](r3.flow.md)*

## AUTHOR

Anna Petrasova

## SOURCE CODE

Available at: [test.r3flow source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.flow)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.flow))  
Latest change: Tuesday Mar 04 14:36:35 2025 in commit [748e31b](https://github.com/OSGeo/grass/commit/748e31b9661251ff9b25833051bfc8cc152e5604)
