---
name: v.build.all.py
description: Rebuilds topology on all vector maps in the current mapset.
keywords: [ vector, topology ]
---

# v.build.all.py

## NAME

***v.build.all.py*** - Rebuilds topology on all vector maps in the current mapset.

### 
### SYNOPSIS

**v.build.all.py**  
**v.build.all.py --help**  
**v.build.all.py**  [**--verbose**]  [**--quiet**]  [**--ui**]

**--help**  
&nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
**--verbose**  
&nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
**--quiet**  
&nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
**--ui**  
&nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

## DESCRIPTION

*v.build.all* runs *[v.build](v.build.md)* for all vectors in the
current mapset.

### Example

```sh
# rebuild topology for all vector maps in the current mapset
v.build.all
```

## AUTHOR

Radim Blazek

## SOURCE CODE

Available at: [v.build.all source code](https://github.com/OSGeo/grass/tree/main/scripts/v.build.all)
([history](https://github.com/OSGeo/grass/commits/main/scripts/v.build.all))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
